it.reply.healty.innovapuglia.mstaccuino.utility

## Class DTOBuilder

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.utility.DTOBuilder

-     @Component
      public class DTOBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DTOBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AltroProdottoResponseDTO` | `buildAltroProdottoResponseDTO(AltroProdotto altroProdotto)` Generazione di un nuovo DTO
    `DocumentoResponseDTO` | `buildDocumentoResponseDTO(Documento doc)` Generazione di un nuovo DTO
    `DoloreResponseDTO` | `buildDoloriResponseDTO(Dolore dolore)` Generazione di un nuovo DTO
    `EventoResponseDTO` | `buildEventoResponseDTO(Evento evento)` Generazione di un nuovo DTO
    `FarmacoResponseDTO` | `buildFarmacoResponseDTO(Farmaco farmaco)` Generazione di un nuovo DTO
    `ViaggioResponseDTO` | `buildInfoViaggioResponseDTO(InfoViaggio infoViaggio)` Generazione di un nuovo DTO
    `ContattoMedicinaNonConvResponseDTO` | `buildMedicinaNonConvResponseDTO(ContattoMedNonConv contattoMed)` Generazione di un nuovo DTO
    `NotaResponseDTO` | `buildNotaRespDTO(NotaTaccuino nota)` Generazione di un nuovo DTO
    `ProtesiAusilioResponseDTO` | `buildProtesiResponseDTO(Protesi protesi)` Generazione di un nuovo DTO
    `RilevazioneResponseDTO` | `buildRilevazioniResponseDTO(Rilevazione rilevazione)` Generazione di un nuovo DTO
    `SintomoResponseDTO` | `buildSintomiResponseDTO(Sintomo sintomo)` Generazione di un nuovo DTO
    `ContattoStrutturaSanitariaResponseDTO` | `buildStrutturaSanitariaResponseDTO(ContattoStrutturaSanitaria contattoStr)` Generazione di un nuovo DTO

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DTOBuilder

          public DTOBuilder()

  - ### Method Detail

    - #### buildProtesiResponseDTO

          public ProtesiAusilioResponseDTO buildProtesiResponseDTO(Protesi protesi)

      Generazione di un nuovo DTO
      Parameters:
        `protesi` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildInfoViaggioResponseDTO

          public ViaggioResponseDTO buildInfoViaggioResponseDTO(InfoViaggio infoViaggio)

      Generazione di un nuovo DTO
      Parameters:
        `infoViaggio` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildAltroProdottoResponseDTO

          public AltroProdottoResponseDTO buildAltroProdottoResponseDTO(AltroProdotto altroProdotto)

      Generazione di un nuovo DTO
      Parameters:
        `altroProdotto` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildFarmacoResponseDTO

          public FarmacoResponseDTO buildFarmacoResponseDTO(Farmaco farmaco)

      Generazione di un nuovo DTO
      Parameters:
        `farmaco` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildMedicinaNonConvResponseDTO

          public ContattoMedicinaNonConvResponseDTO buildMedicinaNonConvResponseDTO(ContattoMedNonConv contattoMed)

      Generazione di un nuovo DTO
      Parameters:
        `contattoMed` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildStrutturaSanitariaResponseDTO

          public ContattoStrutturaSanitariaResponseDTO buildStrutturaSanitariaResponseDTO(ContattoStrutturaSanitaria contattoStr)

      Generazione di un nuovo DTO
      Parameters:
        `contattoStr` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildDoloriResponseDTO

          public DoloreResponseDTO buildDoloriResponseDTO(Dolore dolore)

      Generazione di un nuovo DTO
      Parameters:
        `dolore` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildSintomiResponseDTO

          public SintomoResponseDTO buildSintomiResponseDTO(Sintomo sintomo)

      Generazione di un nuovo DTO
      Parameters:
        `sintomo` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildRilevazioniResponseDTO

          public RilevazioneResponseDTO buildRilevazioniResponseDTO(Rilevazione rilevazione)

      Generazione di un nuovo DTO
      Parameters:
        `rilevazione` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildEventoResponseDTO

          public EventoResponseDTO buildEventoResponseDTO(Evento evento)

      Generazione di un nuovo DTO
      Parameters:
        `evento` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildDocumentoResponseDTO

          public DocumentoResponseDTO buildDocumentoResponseDTO(Documento doc)

      Generazione di un nuovo DTO
      Parameters:
        `doc` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

    - #### buildNotaRespDTO

          public NotaResponseDTO buildNotaRespDTO(NotaTaccuino nota)

      Generazione di un nuovo DTO
      Parameters:
        `nota` - L'entity dal quale recuperare i dati
      Returns:
        Il DTO creato attraverso l'entity

Copyright © 2024. All rights reserved.